roller-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chad La Joie <claj...@gmail.com>
Subject Re: Error Installing Roller 5.0.0 - Missing JPA classes
Date Thu, 05 Jan 2012 18:51:54 GMT
Yep, that was it.  Thanks

On Thu, Jan 5, 2012 at 07:54, Chad La Joie <clajoie@gmail.com> wrote:
> Ah, okay.  I downloaded the JavaEE one because that's what the docs said
> to use with something other than Tomcat.  I'll give the "tomcat" version
> a try then.
>
> Thanks
>
> On 1/5/12 7:51 AM, David Johnson wrote:
>> Which version of Roller did you download? There is a Java EE version, which assumes
you have a full Java EE server with built-in JPA. There is also a Tomcat version, which includes
OpenJPA because Tomcat is not a full Java EE server.
>>
>> For Jetty, I'd recommend trying the Tomcat version of Roller.
>>
>> - Dave
>>
>>
>> On Jan 4, 2012, at 7:41 PM, Chad La Joie wrote:
>>
>>> The only thing on the classpath are the container jars, which does not
>>> include the JPA APIs and the libs in the Roller WAR which include:
>>>
>>> aopalliance-1.0.jar
>>> commons-beanutils-1.6.jar
>>> commons-codec-1.4.jar
>>> commons-collections-3.2.1.jar
>>> commons-digester-1.8.1.jar
>>> commons-fileupload-1.1.jar
>>> commons-httpclient-3.0.1.jar
>>> commons-io-1.3.2.jar
>>> commons-lang-2.4.jar
>>> commons-logging-1.1.1.jar
>>> derby.jar
>>> ehcache-1.6.2.jar
>>> freemarker-2.3.16.jar
>>> guice-2.0.jar
>>> htmlparser-1.6.jar
>>> icu4j-3.4.4.jar
>>> javassist-3.0.jar
>>> jdom-1.1.jar
>>> jstl-1.2.jar
>>> junit-4.1.jar
>>> log4j-1.2.16.jar
>>> lucene-core-2.9.0.jar
>>> nekohtml-1.9.7.jar
>>> oauth-20090531.jar
>>> oauth-provider-20090531.jar
>>> ognl-3.0.jar
>>> openid4java-0.9.3.jar
>>> openid4java-consumer-0.9.5.jar
>>> openid4java-nodeps-0.9.5.jar
>>> openxri-client-1.2.0.jar
>>> openxri-syntax-1.2.0.jar
>>> oro-2.0.8.jar
>>> roller-core-5.0.0.jar
>>> roller-planet-business-5.0.0.jar
>>> roller-weblogger-business-5.0.0.jar
>>> roller-weblogger-web-5.0.0.jar
>>> rome-1.0.0.jar
>>> rome-fetcher-1.0.0.jar
>>> rome-propono-1.0.0.jar
>>> serp-1.13.1.jar
>>> spring-aop-2.0.8.jar
>>> spring-beans-2.5.6.jar
>>> spring-context-2.5.6.jar
>>> spring-core-2.5.6.jar
>>> spring-dao-2.0.6.jar
>>> spring-jdbc-2.0.6.jar
>>> spring-ldap-1.2.jar
>>> spring-security-acl-2.0.5.RELEASE.jar
>>> spring-security-core-2.0.5.RELEASE.jar
>>> spring-security-openid-2.0.5.RELEASE.jar
>>> spring-security-taglibs-2.0.5.RELEASE.jar
>>> spring-web-2.5.6.jar
>>> struts2-core-2.2.1.jar
>>> struts2-spring-plugin-2.2.1.jar
>>> struts2-tiles-plugin-2.2.1.jar
>>> tiles-api-2.1.4.jar
>>> tiles-core-2.1.4.jar
>>> tiles-jsp-2.1.4.jar
>>> tiles-servlet-2.1.4.jar
>>> velocity-1.6.jar
>>> ws-commons-util-1.0.2.jar
>>> xalan-2.7.0.jar
>>> xercesImpl-2.9.1.jar
>>> xml-apis-1.3.04.jar
>>> xmlrpc-client-3.1.2.jar
>>> xmlrpc-common-3.1.2.jar
>>> xmlrpc-server-3.1.2.jar
>>> xmlsec-1.3.0.jar
>>> xwork-core-2.2.1.jar
>>>
>>> On Wed, Jan 4, 2012 at 19:32, Matt Raible <matt@raibledesigns.com> wrote:
>>>>
>>>> On Jan 4, 2012, at 4:11 PM, Chad La Joie wrote:
>>>>
>>>>> I'm attempting to install Roller 5.0.0.
>>>>>
>>>>> My environment is:
>>>>> Sun Java, 1.6
>>>>> Jetty 8.0.4
>>>>> Derby 10.8.2.2
>>>>>
>>>>> The full stack trace is below.  The root cause though is the inability
>>>>> to find the javax.persistence.PersistenceException class.  Looking at
>>>>> the libs in the war, I don't see any that I recognize as being a JPA
>>>>> implementation.  Am I missing something?
>>> --
>>> Chad
>>



-- 
Chad

Mime
View raw message